REM #################################################
REM ######          START OF SCRIPT            ######
REM #################################################
REM ##   Filename: mzRunSyrMig.cmd
REM ##   Updated : 21 February 2023
REM ##   Author  : Mike Shaw (Sage UK, X3 Support)
REM ##   Script to launch the Syracuse migration tool
REM #################################################
REM   Documentation at https://online-help.sageerpx3.com/erp/12/staticpost/using-the-syracuse-server-migration-tool
@echo off
cls
echo   ** Run this script using As Adminstrator  **
pause
REM    Change SYRACUSE_BASE as required 
set "SYRACUSE_BASE=D:\Sage\Syracuse"
set "CONFIG_FILE=config"
REM 
set "mzScriptTop=%~dp0%"
set "thisScript=%~n0%"
set "SYR_TOOL=node_modules\tools\syracuse-migration"
cd /d "%SYRACUSE_BASE%\syracuse\bin"
echo.
echo About to run "win32_x64\node.exe %SYR_TOOL% --config %SYRACUSE_BASE%\syracuse\bin\%SYR_TOOL%\%CONFIG_FILE%.yml from directory "%SYRACUSE_BASE%\syracuse\bin"
echo.
if not exist "%SYRACUSE_BASE%\syracuse\bin\%SYR_TOOL%\%CONFIG_FILE%.yml" (
	echo "ERROR: file %SYRACUSE_BASE%\syracuse\bin\%SYR_TOOL%\%CONFIG_FILE%.yml does not exist"
	pause
	goto error
)
pause
win32_x64\node.exe %SYR_TOOL% --config %SYRACUSE_BASE%\syracuse\bin\%SYR_TOOL%\%CONFIG_FILE%.yml 1>%mzScriptTop%\%thisScript%.log 2>&1
pause
goto end
:error
exit 1
echo Finished with ERROR
:end
cd /d %mzScriptTop%
echo End
REM #################################################
REM ######          END OF SCRIPT              ######
REM #################################################